Subject: Re: bug#54889: 29.0.50; shift keys can't function when using setxkbmap with custom_symbol in gnome

From: Po Lu <[email-masked]>
Date: Fri, 15 Apr 2022 12:28:05 +0800

[email-masked] writes:

> I serched my map and found no config part  had Hyper for virtualModifier ,
> but i found Hyper_R config in symbols  <RTSH>  in group 2,
> after changed to Shift_R,
> i can inser capital letter in emacs 29.
> old:   key <RTSH> {  [         Shift_R, Shift_R, U2E9D] ,[ Hyper_R ] };
> new:   key <RTSH> {  [         Shift_R, Shift_R, U2E9D] ,[ Shift_R ] };
>
> I don't know why cause that,
> since that is not belong parts of emacs,
> I feel so sorry any where for this report let you be troubled.

No problems here, glad I could be of assistance.  I'm closing this bug.